QGIS Application - Bug report #763
Problem editing a postgis table
2007-09-05 03:08 AM - leo-lami -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler
Category: Digitising

Affected QGIS version:
Operating System: Debian
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10822

Description

Trying to edit a a postgis-table. This seems to work as expected inside the GUI, but after deleting the layer, reload it, the datas do not

appear changed.

The first time that | made the test, whn | click on 'Stop editing' QGIS say:

The [[PostgreSQL]] database returned: ERROR: syntax error at or near "="
LINE 1: UPDATE "public"."rm98_2007_lin" SET ='34455' WHERE "gid"=1

A

Durante la prova: UPDATE "public"."rm98_2007_lin" SET ='34455' WHERE "gid"=1

| think the problem is in the double quotes: "public"."rm98_2007_lin".

Associated revisions

Revision 66d22b1e - 2007-11-22 09:52 PM - Jiirgen Fischer

attribute table: add attributes before applying attribute changes, fixes #763

please test

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@7642 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

Revision ¢32914f5 - 2007-11-22 09:52 PM - Jiirgen Fischer

attribute table: add attributes before applying attribute changes, fixes #763

please test

git-svn-id: http://svn.osgeo.org/qgis/trunk@7642 c8812cc2-4d05-0410-92ff-de0c093fc19¢c

History

#1 - 2007-09-05 03:27 AM - leo-lami -

Linux and Windows platform

#2 - 2007-09-06 11:33 AM - Marco Hugentobler

2024-04-28

12



http://svn.osgeo.org/qgis/trunk/qgis@7642
http://svn.osgeo.org/qgis/trunk@7642

The problem is not the double quote.

For some reason, qgis does not find the proper fieldname.

UPDATE "public"."rm98_2007_lin" SET ='34455' WHERE "gid"=1

should be:

UPDATE "public"."rm98_2007_lin" SET <fieldname>='34455' WHERE "gid"=1

Marco

#3 - 2007-09-06 11:28 PM - Marco Hugentobler

A part of this problem is fixed in . QGIS should now find the field name. However, it is still a problem to add new attribute fields to the table and

insert/change values in these new fields in one go, because the names of the new fields are still unknown to the provider. This needs more work.

#4 - 2007-11-22 12:56 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:c32914f5 (SVN r7643)

#5 - 2009-08-22 12:52 AM - Anonymous

Milestone Version 0.9.1 deleted
